summaryrefslogtreecommitdiffstats
path: root/install/ui/test/bin
diff options
context:
space:
mode:
authorEndi S. Dewata <edewata@redhat.com>2011-03-30 22:52:28 -0400
committerAdam Young <ayoung@redhat.com>2011-03-31 20:24:55 -0400
commite3a76d435e5ff312f503afb899ef6b505621d48a (patch)
treedd2892282cae96f8789c7029ec51102664751e9b /install/ui/test/bin
parent6948c0813dff35afadd63bc0647271f00bfc566f (diff)
downloadfreeipa-e3a76d435e5ff312f503afb899ef6b505621d48a.tar.gz
freeipa-e3a76d435e5ff312f503afb899ef6b505621d48a.tar.xz
freeipa-e3a76d435e5ff312f503afb899ef6b505621d48a.zip
Initial Selenium test cases.
http://www.freeipa.org/page/Selenium
Diffstat (limited to 'install/ui/test/bin')
-rwxr-xr-xinstall/ui/test/bin/selenium.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/install/ui/test/bin/selenium.sh b/install/ui/test/bin/selenium.sh
new file mode 100755
index 000000000..034b1df6f
--- /dev/null
+++ b/install/ui/test/bin/selenium.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+
+TEST_SUITE=$1
+TEST_RESULTS=$2
+
+if [ "$TEST_SUITE" = "" -o "$TEST_RESULTS" = "" ]
+then
+ echo "Usage: $0 <test suite> <test results>"
+ exit 1
+fi
+
+if [ ! -f $TEST_SUITE ]
+then
+ echo "Error: Test suite $TEST_SUITE not found."
+ exit 1
+fi
+
+PROFILE_DIR=$HOME/.mozilla/firefox
+PROFILE=`ls $PROFILE_DIR | grep .default`
+PROFILE_TEMPLATE=$PROFILE_DIR/$PROFILE
+
+java -jar /usr/share/java/selenium-server-standalone.jar -firefoxProfileTemplate $PROFILE_TEMPLATE -htmlSuite "*firefox" "http://localhost" $TEST_SUITE $TEST_RESULTS
+
+# Kill Firefox
+ps -ef|grep -i firefox|grep '\-profile'|awk '{print $2;}'|xargs kill -9